QJournalProtocolProtos.DoRollbackResponseProto (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, class: DoRollbackResponseProto

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class QJournalProtocolProtos.DoRollbackResponseProto

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite
org.apache.hadoop.thirdparty.protobuf.AbstractMessage
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3
org.apache.hadoop.hdfs.qjournal.protocol.QJournalProtocolProtos.DoRollbackResponseProto

All Implemented Interfaces:
  `Serializable`, `QJournalProtocolProtos.DoRollbackResponseProtoOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message`, `org.apache.hadoop.thirdparty.protobuf.MessageLite`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  QJournalProtocolProtos

public static final class QJournalProtocolProtos.DoRollbackResponseProto extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3 implements QJournalProtocolProtos.DoRollbackResponseProtoOrBuilder
Protobuf type `hadoop.hdfs.qjournal.DoRollbackResponseProto`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `QJournalProtocolProtos.DoRollbackResponseProto.Builder`
  Protobuf type `hadoop.hdfs.qjournal.DoRollbackResponseProto`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable, org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.DoRollbackResponseProto>`
  `PARSER`
  Deprecated.

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `getDefaultInstance()`
  `QJournalProtocolProtos.DoRollbackResponseProto`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.DoRollbackResponseProto>`
  `getParserForType()`
  `int`
  `getSerializedSize()`
  `int`
  `hashCode()`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static QJournalProtocolProtos.DoRollbackResponseProto.Builder`
  `newBuilder()`
  `static QJournalProtocolProtos.DoRollbackResponseProto.Builder`
  `newBuilder(QJournalProtocolProtos.DoRollbackResponseProto prototype)`
  `QJournalProtocolProtos.DoRollbackResponseProto.Builder`
  `newBuilderForType()`
  `protected QJournalProtocolProtos.DoRollbackResponseProto.Builder`
  `newBuilderForType(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseDelimitedFrom(InputStream input)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseDelimitedFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(byte[] data)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(byte[] data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(InputStream input)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(ByteBuffer data)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(ByteBuffer data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input)`
  `static QJournalProtocolProtos.DoRollbackResponseProto`
  `parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.DoRollbackResponseProto>`
  `parser()`
  `QJournalProtocolProtos.DoRollbackResponseProto.Builder`
  `toBuilder()`
  `void`
  `writeTo(org.apache.hadoop.thirdparty.protobuf.CodedOutputStream output)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### PARSER

    @Deprecated public static final org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.DoRollbackResponseProto> PARSER
    Deprecated.

- ## Method Details

  - ### newInstance

    protected Object newInstance(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(org.apache.hadoop.thirdparty.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Overrides:
      `equals` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Overrides:
      `hashCode` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(ByteBuffer data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(ByteBuffer data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.ByteString data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(byte[] data) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(byte[] data, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseDelimitedFrom(InputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static QJournalProtocolProtos.DoRollbackResponseProto parseFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public QJournalProtocolProtos.DoRollbackResponseProto.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`

  - ### newBuilder

    public static QJournalProtocolProtos.DoRollbackResponseProto.Builder newBuilder()

  - ### newBuilder

    public static QJournalProtocolProtos.DoRollbackResponseProto.Builder newBuilder(QJournalProtocolProtos.DoRollbackResponseProto prototype)

  - ### toBuilder

    public QJournalProtocolProtos.DoRollbackResponseProto.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `toBuilder` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`

  - ### newBuilderForType

    protected QJournalProtocolProtos.DoRollbackResponseProto.Builder newBuilderForType(org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static QJournalProtocolProtos.DoRollbackResponseProto getDefaultInstance()

  - ### parser

    public static org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.DoRollbackResponseProto> parser()

  - ### getParserForType

    public org.apache.hadoop.thirdparty.protobuf.Parser<QJournalProtocolProtos.DoRollbackResponseProto> getParserForType()
    Specified by:
      `getParserForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message`
    Specified by:
      `getParserForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public QJournalProtocolProtos.DoRollbackResponseProto getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`